> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Avatar

> Reset a user's avatar to the default icon. By default, icons contain the user's initials.
Permissions required, if the setting `AllowUserAvatarChange` is enabled: 
  * `edit-other-user-avatar`: Permission to change other user's avatar
  * `manage-moderation-actions`: Permission to manage moderation actions, perform actions on reported users
  
  ### Changelog
  | Version      | Description |
  | ---------------- | ------------|
  |0.55.0            | Added       |

## OpenAPI

````json POST /api/v1/users.resetAvatar
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "User Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "LDAP"
    },
    {
      "name": "Permissions"
    },
    {
      "name": "Roles"
    },
    {
      "name": "Users"
    }
  ],
  "paths": {
    "/api/v1/users.resetAvatar": {
      "post": {
        "summary": "Reset Avatar",
        "operationId": "post-api-v1-users.resetAvatar",
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "The required \"userId\" or \"username\" param was not provided [error-user-param-not-provided]",
                      "errorType": "error-user-param-not-provided"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "Reset avatar is not allowed [error-not-allowed]",
                      "errorType": "error-not-allowed",
                      "details": {
                        "method": "users.resetAvatar"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "description": "Reset a user's avatar to the default icon. By default, icons contain the user's initials.\nPermissions required, if the setting `AllowUserAvatarChange` is enabled: \n  * `edit-other-user-avatar`: Permission to change other user's avatar\n  * `manage-moderation-actions`: Permission to manage moderation actions, perform actions on reported users\n  \n  ### Changelog\n  | Version      | Description |\n  | ---------------- | ------------|\n  |0.55.0            | Added       |",
        "parameters": [
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "$ref": "#/components/parameters/Auth-Token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "userId": {
                    "type": "string",
                    "description": "The user ID. Alternatively, you can enter the `username` parameter.",
                    "example": "BsNr28znDkG8aeo7W"
                  }
                },
                "required": [
                  "userId"
                ]
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "userId": "BsNr28znDkG8aeo7W"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Users"
        ]
      }
    }
  },
  "components": {
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      },
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The authenticated user ID.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The authenticated user token.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      }
    }
  }
}
````

